Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.util
Class IllegalAccessRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.picocontainer.gems.util.IllegalAccessRuntimeException

All Implemented Interfaces:
  Serializable

    public class IllegalAccessRuntimeException

extends org.picocontainer.PicoException

Runtime Exception version of `IllegalAccessException`.

Author:
  Michael Rimov
See Also:
  Serialized Form

Constructor Summary
`IllegalAccessRuntimeException()`
`IllegalAccessRuntimeException(String message)`
`IllegalAccessRuntimeException(String message, Throwable cause)`
`IllegalAccessRuntimeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAccessRuntimeException

    public IllegalAccessRuntimeException()

### IllegalAccessRuntimeException

    public IllegalAccessRuntimeException(String message)

Parameters:
  `message` -

### IllegalAccessRuntimeException

    public IllegalAccessRuntimeException(Throwable cause)

Parameters:
  `cause` -

### IllegalAccessRuntimeException

    public IllegalAccessRuntimeException(String message,
                                         Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.